PROG=	cutcheck
MAN=
CUTMAIN=	$(PROG).c
TESTSRCS=	scifTrafClient.c
SRCS=	$(CUTMAIN) $(TESTSRCS) clientUtil.c
CLEANFILES=	$(CUTMAIN)

BASE_DIR=	$(HOME)/jobs/speLocal
INC_FLAGS=	-I/usr/local/include
CFLAGS+=	-W -Wall -std=c99 $(INC_FLAGS) $(DEBUG)
LIB_FLAGS=	-L..
LDADD+=		-lOpenRoads_nerve -lm $(LIB_FLAGS)
DEBUG=		-g #-O0

all: tag

lint:

test:	$(PROG)
	/bin/sh -c "LD_LIBRARY_PATH=.. ./$(PROG)"

tag:	tags $(SRCS)
	ctags $(SRCS)

$(CUTMAIN):	$(TESTSRCS)
	cutgen-2 -o $(CUTMAIN) $(TESTSRCS)

.include <bsd.prog.mk>
